Skip to main content
GET
/
v1
/
sessions
C#
// GET /v1/sessions
const stytch = require('stytch');

const client = new stytch.Client({
  project_id: '${projectId}',
  secret: '${secret}',
});

const params = {
  user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};

client.Sessions.Get(params)
  .then(resp => { console.log(resp) })
  .catch(err => { console.log(err) });
// GET /v1/sessions
package main

import (
"context"
"log"

"github.com/stytchauth/stytch-go/v18/stytch/consumer/sessions"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
)

func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}

params := &sessions.GetParams{
UserID: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
}

resp, err := client.Sessions.Get(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}

log.Println(resp)
}
// GET /v1/sessions
package com.example;

import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.sessions.GetRequest;
import com.stytch.java.consumer.StytchClient;

public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");

GetRequest params = new GetRequest();
params.setUserId("user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6");

Object result = StytchClient.getSessions().get(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}
// GET /v1/sessions
package com.example

import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.sessions.GetRequest

fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)

when (
val result =
StytchClient.sessions.get(
GetRequest(
userId = "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// GET /v1/sessions
const stytch = require('stytch');

const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});

const params = {
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};

client.sessions.get(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });
$response = $client->sessions->get([
'user_id' => 'user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6',
]);
# GET /v1/sessions
from stytch import Client

client = Client(
project_id="${projectId}",
secret="${secret}",
)

resp = client.sessions.get(
user_id="user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
)

print(resp)
# frozen_string_literal: true

# GET /v1/sessions
require 'stytch'

client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)

resp = client.sessions.get(
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6"

)

puts resp
// GET /v1/sessions
use stytch::consumer::client::Client;
use stytch::consumer::sessions::GetRequest;

fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.sessions.get(
GetRequest{
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}
# GET /v1/sessions
curl --request GET \
--url https://test.stytch.com/v1/sessions \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
--get \
--data-urlencode 'user_id=user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6'
{
  "request_id": "<string>",
  "sessions": [
    {
      "session_id": "<string>",
      "user_id": "<string>",
      "authentication_factors": [
        {
          "last_authenticated_at": "<string>",
          "created_at": "<string>",
          "updated_at": "<string>",
          "email_factor": {
            "email_id": "<string>",
            "email_address": "<string>"
          },
          "phone_number_factor": {
            "phone_id": "<string>",
            "phone_number": "<string>"
          },
          "google_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "microsoft_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "apple_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "webauthn_factor": {
            "webauthn_registration_id": "<string>",
            "domain": "<string>",
            "user_agent": "<string>"
          },
          "authenticator_app_factor": {
            "totp_id": "<string>"
          },
          "github_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "recovery_code_factor": {
            "totp_recovery_code_id": "<string>"
          },
          "facebook_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "crypto_wallet_factor": {
            "crypto_wallet_id": "<string>",
            "crypto_wallet_address": "<string>",
            "crypto_wallet_type": "<string>"
          },
          "amazon_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "bitbucket_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "coinbase_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "discord_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "figma_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "git_lab_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "instagram_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "linked_in_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "shopify_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "slack_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "snapchat_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "spotify_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "steam_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "tik_tok_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "twitch_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "twitter_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "embeddable_magic_link_factor": {
            "embedded_id": "<string>"
          },
          "biometric_factor": {
            "biometric_registration_id": "<string>"
          },
          "saml_sso_factor": {
            "id": "<string>",
            "provider_id": "<string>",
            "external_id": "<string>"
          },
          "oidc_sso_factor": {
            "id": "<string>",
            "provider_id": "<string>",
            "external_id": "<string>"
          },
          "salesforce_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "yahoo_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "hubspot_oauth_factor": {
            "id": "<string>",
            "provider_subject": "<string>",
            "email_id": "<string>"
          },
          "slack_oauth_exchange_factor": {
            "email_id": "<string>"
          },
          "hubspot_oauth_exchange_factor": {
            "email_id": "<string>"
          },
          "github_oauth_exchange_factor": {
            "email_id": "<string>"
          },
          "google_oauth_exchange_factor": {
            "email_id": "<string>"
          },
          "impersonated_factor": {
            "impersonator_id": "<string>",
            "impersonator_email_address": "<string>"
          },
          "oauth_access_token_exchange_factor": {
            "client_id": "<string>"
          },
          "trusted_auth_token_factor": {
            "token_id": "<string>"
          }
        }
      ],
      "roles": [
        "<string>"
      ],
      "started_at": "<string>",
      "last_accessed_at": "<string>",
      "expires_at": "<string>",
      "attributes": {
        "ip_address": "<string>",
        "user_agent": "<string>"
      },
      "custom_claims": {}
    }
  ],
  "status_code": 123
}
{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}
{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}
{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}
List all active sessions for a given user. All timestamps are formatted according to the RFC 3339 standard and are expressed in UTC, e.g. 2021-12-29T12:33:09Z.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

user_id
string
required

The user_id to get active Sessions for. You may use an external_id here if one is set for the user.

Response

Successful response

request_id
string
required

Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.

sessions
object[]
required

An array of Session objects.

status_code
integer<int32>
required

The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.